%define name	tsemgr
%define version	0.06
%define release 1mdk

Name: 	 	%{name}
Summary: 	Manage a SonyEricsson T68m/i mobile phone
Version: 	%{version}
Release: 	%{release}

Source:		%{name}%{version}.tar.bz2
URL:		http://tsemgr.sourceforge.net/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libezV24-devel libgtk+1.2-devel libopenobex-devel libbluez-devel

%description
Tsemgr is a gtk application to manage a SonyEricsson T68m/i mobile phone.

%prep
%setup -q
perl -p -i -e 's/openobex\/obex/obex/g' *.c
perl -p -i -e 's/openobex\/obex/obex/g' *.h

%build
%make CC="gcc $RPM_OPT_FLAGS"
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
cp %name $RPM_BUILD_ROOT/%_bindir

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="communications_section.png" needs="x11" title="Tsemgr" longtitle="SonyEricsson T68 controller" section="Applications/Communications"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING
%{_bindir}/%name
%{_menudir}/%name

%changelog
* Sun Apr 13 2003 Austin Acton <aacton@yorku.ca> 0.06-1mdk
- initial package
